Commit b1a28729 authored by Ian Goldberg's avatar Ian Goldberg
Browse files

Change the URL to the OTR website to be https

Mostly in documentation, but also in the HELPURL in the code
parent 225c8642
...@@ -3,7 +3,7 @@ REQUIREMENTS ...@@ -3,7 +3,7 @@ REQUIREMENTS
To compile the OTR plugin for pidgin, you'll need at least: To compile the OTR plugin for pidgin, you'll need at least:
- libgpg-error 1.0 [ftp://ftp.gnupg.org/gcrypt/libgpg-error/] - libgpg-error 1.0 [ftp://ftp.gnupg.org/gcrypt/libgpg-error/]
- libgcrypt 1.2.0 [ftp://ftp.gnupg.org/gcrypt/libgcrypt/] - libgcrypt 1.2.0 [ftp://ftp.gnupg.org/gcrypt/libgcrypt/]
- libotr 3.1.0 [http://otr.cypherpunks.ca/] - libotr 3.1.0 [https://otr.cypherpunks.ca/]
- glib 2.6 [http://www.gtk.org/download/] - glib 2.6 [http://www.gtk.org/download/]
- gtk+ 2.6 [http://www.gtk.org/download/] - gtk+ 2.6 [http://www.gtk.org/download/]
- pidgin 2.x [http://pidgin.im/] - pidgin 2.x [http://pidgin.im/]
......
...@@ -5,11 +5,11 @@ tl;dr download and install for files before disconnecting from the internet: ...@@ -5,11 +5,11 @@ tl;dr download and install for files before disconnecting from the internet:
wget -c ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-1.0.tar.gz \ wget -c ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-1.0.tar.gz \
ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.2.1.tar.gz \ ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.2.1.tar.gz \
http://www.cypherpunks.ca/otr/rndw32.diff \ https://otr.cypherpunks.ca/rndw32.diff \
http://ftp.gnome.org/pub/gnome/binaries/win32/gtk+/2.24/gtk+-bundle_2.24.10-20120208_win32.zip \ http://ftp.gnome.org/pub/gnome/binaries/win32/gtk+/2.24/gtk+-bundle_2.24.10-20120208_win32.zip \
http://downloads.sourceforge.net/project/pidgin/Pidgin/2.10.6/pidgin-2.10.6.tar.bz2 \ http://downloads.sourceforge.net/project/pidgin/Pidgin/2.10.6/pidgin-2.10.6.tar.bz2 \
http://downloads.sourceforge.net/project/pidgin/Pidgin/2.10.6/pidgin-2.10.6-win32-bin.zip \ http://downloads.sourceforge.net/project/pidgin/Pidgin/2.10.6/pidgin-2.10.6-win32-bin.zip \
http://www.cypherpunks.ca/otr/nsisunz.zip https://otr.cypherpunks.ca/nsisunz.zip
apt-get install mingw32 nsis wget unzip tar apt-get install mingw32 nsis wget unzip tar
...@@ -46,7 +46,7 @@ libgpg-error-1.0: ...@@ -46,7 +46,7 @@ libgpg-error-1.0:
libgcrypt-1.2.1: libgcrypt-1.2.1:
cd /tmp; cd /tmp;
wget ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.2.1.tar.gz wget ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.2.1.tar.gz
wget http://www.cypherpunks.ca/otr/rndw32.diff wget https://otr.cypherpunks.ca/rndw32.diff
tar -xvzf libgcrypt-1.2.1.tar.gz tar -xvzf libgcrypt-1.2.1.tar.gz
cd /tmp/libgcrypt-1.2.1 cd /tmp/libgcrypt-1.2.1
CFLAGS="-g -O2 -fstack-protector-all -Wstack-protector -fwrapv --param ssp-buffer-size=1 -fno-strict-overflow" CFLAGS="-g -O2 -fstack-protector-all -Wstack-protector -fwrapv --param ssp-buffer-size=1 -fno-strict-overflow"
...@@ -67,7 +67,7 @@ nsis: ...@@ -67,7 +67,7 @@ nsis:
# (yes it's a DLL extension, but it will still work for GNU/Linux nsis) # (yes it's a DLL extension, but it will still work for GNU/Linux nsis)
# set LIBOTRSRCDIR to the libotr src directory # set LIBOTRSRCDIR to the libotr src directory
cd /tmp; cd /tmp;
wget -c http://www.cypherpunks.ca/otr/nsisunz.zip wget -c https://otr.cypherpunks.ca/nsisunz.zip
unzip nsisunz.zip unzip nsisunz.zip
sudo cp /tmp/nsisunz/Release/nsisunz.dll /usr/share/nsis/Plugins/ sudo cp /tmp/nsisunz/Release/nsisunz.dll /usr/share/nsis/Plugins/
......
...@@ -21,7 +21,7 @@ OTR allows you to have private conversations over IM by providing: ...@@ -21,7 +21,7 @@ OTR allows you to have private conversations over IM by providing:
is compromised. is compromised.
For more information on Off-the-Record Messaging, see For more information on Off-the-Record Messaging, see
http://otr.cypherpunks.ca/ https://otr.cypherpunks.ca/
USAGE USAGE
...@@ -179,7 +179,7 @@ End private conversation ...@@ -179,7 +179,7 @@ End private conversation
Authenticate Buddy Authenticate Buddy
For more information on authentication, see For more information on authentication, see
http://otr-help.cypherpunks.ca/3.2.0/authenticate.php https://otr-help.cypherpunks.ca/3.2.0/authenticate.php
OTR provides three ways to authenticate your buddy: OTR provides three ways to authenticate your buddy:
...@@ -329,4 +329,4 @@ Ian Goldberg, Rob Smits, Chris Alexander, Willy Lew, Lisa Du, Nikita Borisov ...@@ -329,4 +329,4 @@ Ian Goldberg, Rob Smits, Chris Alexander, Willy Lew, Lisa Du, Nikita Borisov
<otr@cypherpunks.ca> <otr@cypherpunks.ca>
For more information on Off-the-Record Messaging, visit For more information on Off-the-Record Messaging, visit
http://otr.cypherpunks.ca/ https://otr.cypherpunks.ca/
...@@ -30,7 +30,7 @@ ...@@ -30,7 +30,7 @@
#include <libotr/message.h> #include <libotr/message.h>
/* The various help URLs */ /* The various help URLs */
#define BASE_HELPURL "http://otr-help.cypherpunks.ca/" PIDGIN_OTR_VERSION "/" #define BASE_HELPURL "https://otr-help.cypherpunks.ca/" PIDGIN_OTR_VERSION "/"
#define AUTHENTICATE_HELPURL BASE_HELPURL "authenticate.php" #define AUTHENTICATE_HELPURL BASE_HELPURL "authenticate.php"
#define SESSIONID_HELPURL BASE_HELPURL "sessionid.php" #define SESSIONID_HELPURL BASE_HELPURL "sessionid.php"
#define UNVERIFIED_HELPURL BASE_HELPURL "unverified.php" #define UNVERIFIED_HELPURL BASE_HELPURL "unverified.php"
......
...@@ -3,8 +3,8 @@ Summary: Off-The-Record Messaging plugin for Pidgin ...@@ -3,8 +3,8 @@ Summary: Off-The-Record Messaging plugin for Pidgin
Name: pidgin-otr Name: pidgin-otr
Version: 4.0.0 Version: 4.0.0
Release: 1%{?dist} Release: 1%{?dist}
Source: http://otr.cypherpunks.ca/%{name}-%{version}.tar.gz Source: https://otr.cypherpunks.ca/%{name}-%{version}.tar.gz
Url: http://otr.cypherpunks.ca/ Url: https://otr.cypherpunks.ca/
License: GPLv2 License: GPLv2
Group: Applications/Internet Group: Applications/Internet
Provides: gaim-otr = %{version} Provides: gaim-otr = %{version}
......
...@@ -29,7 +29,7 @@ ...@@ -29,7 +29,7 @@
!define PRODUCT_NAME "pidgin-otr" !define PRODUCT_NAME "pidgin-otr"
!define PRODUCT_VERSION "4.0.0-1" !define PRODUCT_VERSION "4.0.0-1"
!define PRODUCT_PUBLISHER "Cypherpunks CA" !define PRODUCT_PUBLISHER "Cypherpunks CA"
!define PRODUCT_WEB_SITE "http://otr.cypherpunks.ca/" !define PRODUCT_WEB_SITE "https://otr.cypherpunks.ca/"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}" !define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM" !define PRODUCT_UNINST_ROOT_KEY "HKLM"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment